MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025849Open CASCADE[OCCT] OCCT:Codingpublic2015-02-20 16:442015-05-14 15:31
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025849: Warnings on OCCT and PRODUCTS in 64-bit
DescriptionWarnings on OCCT and PRODUCTS in 64-bit
IVtkOCC_Shape.cxx:65, MSBuild, Priority: Normal
'argument' : conversion from 'size_t' to 'const Standard_Integer', possible loss of data
IVtkOCC_Shape.cxx:109, MSBuild, Priority: Normal
'argument' : conversion from 'size_t' to 'const Standard_Integer', possible loss of data

jcas.cxx:77, 120, 132, 320
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0037753)
abv (manager)
2015-02-20 16:52

jcas is to be removed soon, please do not touch it
(0037754)
abv (manager)
2015-02-20 16:52

And please give more details on warnings -- is it a problem to copy here complete error text??
(0037766)
git (administrator)
2015-02-20 18:30

Branch CR25849 has been created by apn.

SHA-1: 208e43f89f0dc32ba234681aae01f5e5d6ed3026


Detailed log of new commits:

Author: apn
Date: Fri Feb 20 18:30:35 2015 +0300

    0025849: Warnings on OCCT and PRODUCTS in 64-bit
    
    Fix warnings.
(0037767)
apn (administrator)
2015-02-20 18:35

Please review occt branch CR25849.
Warnings in jcas was also fixed in products branch CR25849 (I read the message too late).
(0037769)
abv (manager)
2015-02-20 19:01

I have removed CR25849 from products
(0038046)
san (developer)
2015-03-03 15:08

Branch CR25849 reviewed without remarks, ready for testing.
(0038054)
git (administrator)
2015-03-03 18:12

Branch CR25849 has been updated forcibly by apv.

SHA-1: f49155c2818f84c2326d66290c6c8461737abc82
(0038055)
apv (tester)
2015-03-03 18:13

Branch CR25849 has been rebased on the current master
(0038089)
apv (tester)
2015-03-04 16:45

Dear BugMaster,

Branch CR25849 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: f49155c2818f84c2326d66290c6c8461737abc82

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (2 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91530610 / 91859243
Total CPU difference: 58446.140000000036 / 59519.03999999998

Testing on Windows:
Total MEMORY difference: 57943190 / 57944267
Total CPU difference: 40669.609375 / 38926.375
(0038614)
git (administrator)
2015-03-18 13:39

Branch CR25849 has been deleted by inv.

SHA-1: f49155c2818f84c2326d66290c6c8461737abc82

- Related Changesets
occt: master 50f32555
Timestamp: 2015-02-20 15:30:35
Author: apn
Committer: bugmaster
Details ] Diff ]
0025849: Warnings on OCCT and PRODUCTS in 64-bit

Fix warnings.
mod - src/IVtkOCC/IVtkOCC_Shape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-20 16:44 apn New Issue
2015-02-20 16:44 apn Assigned To => apn
2015-02-20 16:45 apn Test case number => Not needed
2015-02-20 16:45 apn Status new => assigned
2015-02-20 16:52 abv Note Added: 0037753
2015-02-20 16:52 abv Note Added: 0037754
2015-02-20 18:30 git Note Added: 0037766
2015-02-20 18:32 apn Description Updated View Revisions
2015-02-20 18:35 apn Note Added: 0037767
2015-02-20 18:35 apn Assigned To apn => abv
2015-02-20 18:35 apn Status assigned => resolved
2015-02-20 18:59 abv Assigned To abv => san
2015-02-20 19:01 abv Note Added: 0037769
2015-03-03 15:08 san Note Added: 0038046
2015-03-03 15:08 san Assigned To san => bugmaster
2015-03-03 15:08 san Status resolved => reviewed
2015-03-03 16:59 apv Assigned To bugmaster => apv
2015-03-03 18:12 git Note Added: 0038054
2015-03-03 18:13 apv Note Added: 0038055
2015-03-04 16:45 apv Note Added: 0038089
2015-03-04 16:45 apv Assigned To apv => bugmaster
2015-03-04 16:45 apv Status reviewed => tested
2015-03-06 15:13 bugmaster Changeset attached => occt master 50f32555
2015-03-06 15:13 bugmaster Status tested => verified
2015-03-06 15:13 bugmaster Resolution open => fixed
2015-03-18 13:39 git Note Added: 0038614
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker